> ## Documentation Index
> Fetch the complete documentation index at: https://docs.britive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a specified vault's details

## OpenAPI

````json PATCH /api/v1/secretmanager/vault/{id}
{
  "openapi": "3.0.1",
  "info": {
    "title": "Secret Manager APIs",
    "version": "v1",
    "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc."
  },
  "servers": [
    {
      "url": "https://{tenantURL}",
      "description": "The primary server",
      "variables": {
        "tenantURL": {
          "default": "test.britive-app.com",
          "description": "The host of the server"
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Approvals"
    },
    {
      "name": "Notification Service"
    },
    {
      "name": "Policy Administration"
    },
    {
      "name": "Secrets Manager"
    },
    {
      "name": "Secret Rotation"
    }
  ],
  "paths": {
    "/api/v1/secretmanager/vault/{id}": {
      "patch": {
        "tags": [
          "Secrets Manager"
        ],
        "summary": "Update a specified vault's details",
        "operationId": "updateVault",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "vault Id",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "a6ed82f6-32b5-46d8-a3a3-c36cc574abd9"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VaultDTO",
                "example": {
                  "name": "vault1",
                  "description": "vault description1",
                  "rotationTime": "3",
                  "maxSecretRotationInterval": "60",
                  "defaultNotificationMediumId": "01d4b73e-46b3-4347-842d-6b556dc7f9b2",
                  "recipients": {
                    "userIds": [
                      "g1bfrv2idml7sxfb5q70"
                    ],
                    "tags": [],
                    "channelIds": null
                  }
                }
              }
            }
          },
          "required": "false"
        },
        "responses": {
          "204": {
            "description": "No content"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "VaultDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "maxLength": "30",
            "minLength": "1",
            "pattern": "^[a-zA-Z0-9-_\\s]{1,30}$",
            "type": "string"
          },
          "description": {
            "maxLength": "255",
            "minLength": "0",
            "type": "string"
          },
          "lastRotation": {
            "type": "string"
          },
          "nextRotation": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "encryptionAlgorithm": {
            "type": "string"
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {
              "type": "string",
              "enum": [
                "Allow",
                "Deny",
                "Pending",
                "Timeout",
                "Rejected",
                "ApprovalRequired"
              ]
            }
          },
          "defaultNotificationMediumId": {
            "type": "string"
          },
          "recipients": {
            "$ref": "#/components/schemas/Recipients"
          },
          "maxSecretRotationInterval": {
            "type": "integer",
            "format": "int32"
          },
          "rotationTime": {
            "type": "integer",
            "format": "int32"
          }
        }
      },
      "Recipients": {
        "type": "object",
        "properties": {
          "userIds": {
            "uniqueItems": "true",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "tags": {
            "uniqueItems": "true",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "approverGroups": {
            "uniqueItems": "true",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "channelIds": {
            "uniqueItems": "true",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "slackAppChannels": {
            "uniqueItems": "true",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "teamsAppChannels": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TeamsAppChannels"
            }
          }
        }
      },
      "TeamsAppChannels": {
        "type": "object",
        "properties": {
          "team": {
            "type": "string"
          },
          "channels": {
            "uniqueItems": "true",
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}
````

